## org.w3c.jigsaw.http
Class ConfigResource

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.FramedResource
                        |
                        +--org.w3c.tools.resources.AbstractContainer
                              |
                              +--org.w3c.jigsaw.http.ConfigResource

public class ConfigResource
extends AbstractContainer

Field Summary
`protected ResourceReference` `controlConfig`
`protected ResourceReference` `indexers`
`protected ResourceReference` `propConfig`
`protected ResourceReference` `realmConfig`
`protected httpd` `server`
`static java.lang.String` `SPACE_NAME`

Fields inherited from class org.w3c.tools.resources.AbstractContainer
`ur`

Fields inherited from class org.w3c.tools.resources.FramedResource
`ATTR_OID, attrListener, debugEvent, event_disabled, framesRef, structListener`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL, co, id`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, values`

Constructor Summary
`ConfigResource(httpd server)`

Method Summary
`ResourceReference` `createDefaultResource(java.lang.String name)` Create a default child resource in that container.
`void` `delete(java.lang.String name)` Remove a child resource from that container.
`java.util.Enumeration` `enumerateResourceIdentifiers(boolean all)` Enumerate children resource identifiers.
`ResourceReference` `lookup(java.lang.String name)` Lookup a children in the container.
`void` `registerResource(java.lang.String n, Resource c, java.util.Hashtable d)` Initialize and register the given resource within that container.

Methods inherited from class org.w3c.tools.resources.AbstractContainer
`attributeChanged, enumerateResourceIdentifiers, resourceCreated, resourceModified, resourceRemoved, resourceUnloaded, updateDefaultChildAttributes`

Methods inherited from class org.w3c.tools.resources.FramedResource

`addAttributeChangedListener, addStructureChangedListener, collectFramesReference, delete, disableEvent, displayEvent, enableEvent, eventDisabled, fireAttributeChangeEvent, fireStructureChangedEvent, fireStructureChangedEvent, frameAdded, frameModified, frameRemoved, getClone, getFrame, getFrame, getFrameReference, getFrameReference, getFramesReference, getOid, initialize, lookup, markModified, notifyUnload, perform, performFrames, postAttributeChangeEvent, postEvent, postStructureChangedEvent, postStructureChangedEvent, processEvent, registerFrame, registerFrameIfNone, removeAttributeChangedListener, removeStructureChangedListener, setSilentValue, setSilentValue, setValue, unregisterFrame`

Methods inherited from class org.w3c.tools.resources.Resource

`acceptUnload, checkMultipleLock, collectFrames, getContext, getFrame, getFrames, getHelpURL, getHelpURL, getIdentifier, getLastModified, getParent, getResourceReference, getServer, getSpace, getSpaceEntry, getStoreEntry, getURLPath, getValue, getValue, initialize, isInitialized, isUnloaded, pickleValues, setContext, setContext, setValue, unsafeGetContext, unsafeGetIdentifier, unsafeGetValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, lookupAttribute, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unsafeGetString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SPACE_NAME

    public static final java.lang.String SPACE_NAME

### server

    protected httpd server

### propConfig

    protected ResourceReference propConfig

### realmConfig

    protected ResourceReference realmConfig

### controlConfig

    protected ResourceReference controlConfig

### indexers

    protected ResourceReference indexers

Constructor Detail

### ConfigResource

    public ConfigResource(httpd server)

Method Detail

### registerResource

    public void registerResource(java.lang.String n,
                                 Resource c,
                                 java.util.Hashtable d)

  Description copied from class: AbstractContainer
  Initialize and register the given resource within that container.
  Overrides:
    registerResource in class AbstractContainer
  Tags copied from class: AbstractContainer
  Parameters:
    `name` - The identifier for the resource.
    `resource` - An unitialized resource instance.
    `defs` - A default set of init attribute values (may be null).
  Throws:
    InvalidResourceException - If an error occurs during the registration.

### createDefaultResource

    public ResourceReference createDefaultResource(java.lang.String name)

  Description copied from class: AbstractContainer
  Create a default child resource in that container. This method is called by the editor to add a default resource in the container under the given name. The meaning of default is left up to the container here.
  Overrides:
    createDefaultResource in class AbstractContainer
  Tags copied from class: AbstractContainer
  Parameters:
    `name` - The identifier for the new resource.

### delete

    public void delete(java.lang.String name)

  Description copied from class: AbstractContainer
  Remove a child resource from that container.
  Overrides:
    delete in class AbstractContainer
  Tags copied from class: AbstractContainer
  Parameters:
    `name` - The name of the child to remove.
  Throws:
    MultipleLockException - If someone else has locked the resource.

### enumerateResourceIdentifiers

    public java.util.Enumeration enumerateResourceIdentifiers(boolean all)

  Description copied from class: AbstractContainer
  Enumerate children resource identifiers.
  Overrides:
    enumerateResourceIdentifiers in class AbstractContainer
  Tags copied from class: AbstractContainer
  Parameters:
    `all` - Should all resources be enumerated ? Resources are often created on demand only, this flag allows the caller to tell the container about wether it is interested only in already created resources, or in all resources (even the one that have not yet been created).
  Returns:
    An String enumeration, one element per child.

### lookup

    public ResourceReference lookup(java.lang.String name)

  Description copied from class: AbstractContainer
  Lookup a children in the container.
  Overrides:
    lookup in class AbstractContainer
  Tags copied from class: AbstractContainer
  Parameters:
    `name` - The name of the children to lookup. the resource from its store.